org.bdgenomics.adam.models

# SequenceDictionary

###
Related Docs: object SequenceDictionary | package models

#### class SequenceDictionary extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SequenceDictionary()

2. #### new SequenceDictionary(records: Vector[SequenceRecord])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(record: SequenceRecord): SequenceDictionary

4. #### def ++(that: SequenceDictionary): SequenceDictionary

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(name: String): Option[SequenceRecord]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def containsRefName(name: String): Boolean

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(o: Any): Boolean

    Definition Classes
      SequenceDictionary → AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      SequenceDictionary → AnyRef → Any

15. #### def isCompatibleWith(that: SequenceDictionary): Boolean

16. #### def isEmpty: Boolean

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val records: Vector[SequenceRecord]

22. #### def sorted: SequenceDictionary

    Sort the records in a sequence dictionary.

    Sort the records in a sequence dictionary.

    returns

      Returns a new sequence dictionary where the sequence records are sorted. If the sequence records have indices, the records will be sorted by their indices. If not, the sequence records will be sorted lexically by contig name.

    See also

      stripIndices

23. #### def stripIndices: SequenceDictionary

    Strips indices from a Sequence Dictionary.

    Strips indices from a Sequence Dictionary.

    returns

      This returns a new sequence dictionary devoid of indices. This is important for sorting: the default sort in ADAM is based on a lexical ordering, while the default sort in SAM is based on sequence indices. If the indices are not stripped before a file is saved back to SAM/BAM, the SAM/BAM header sequence ordering will not match the sort order of the records in the file.

    See also

      sorted

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toSAMSequenceDictionary: SAMSequenceDictionary

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    returns

      Returns a SAM formatted sequence dictionary.

26. #### def toString(): String

    Definition Classes
      SequenceDictionary → AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped